Subject: bug#61121: Cannot import IJulia in Julia

From: Simon Tournier <[email-masked]>
Date: Mon, 30 Jan 2023 13:27:50 +0100

Hi,

I confirm this bug.

On sam., 28 janv. 2023 at 13:45, Theodore Ehrenborg <[email-masked]> wrote:

> [ Info: Precompiling IJulia [7073ff75-c697-5162-941a-fcdaad2a7d2a]
> ERROR: LoadError: InitError: SystemError: opening file
> "/gnu/store/npj8z0g9nx14wl22yphqfs2c5w4qk5jk-julia-1.8.3/share/julia/cert.pem":
> No such file or directory

[...]

> I saw a very similar bug on Gentoo:

[...]

> (https://bugs.gentoo.org/888978)

Well, that’s because Julia upstream does not take care about packagers;
as explicitly mentioned in this comment:

    https://github.com/JuliaLang/MbedTLS.jl/pull/261#issuecomment-1346886879

The Guixer Cayetano Santos fixed upstream the issue for one package.
But as you are noticing it is not done for all.

I do not know what is the best solution because the issue is coming from
Julia itself.

Efraim, any suggestion?

Cheers,
simon